<template>
  <div
    data-component-group="form"
    data-component="user-settings"
  >
    <UserSettings
      :rows="settings"
      :is-disabled="isDisabled"
    />
    <div class="component-actions">
      <v-btn
        color="primary"
        depressed
        :loading="isLoading"
        :disabled="isDisabled"
        @click="onSubmit"
      >
        <v-icon>
          settings
        </v-icon>
        {{ triggerLabel }}
      </v-btn>
    </div>
  </div>
</template>

<script>
  import UserSettings from '../../lists/Settings';

  // TODO: Translate component

  export default {
    components: {
      UserSettings
    },
    props: {
      settings: {
        type: Array,
        required: true
      },
      triggerLabel: {
        type: String,
        default: 'Update'
      },
      isDisabled: {
        type: Boolean,
        default: false
      },
      isLoading: {
        type: Boolean,
        default: false
      },
      onSubmit: {
        type: Function,
        default: () => {}
      }
    }
  };
</script>

<style lang="stylus" scoped>
  [data-component-group="form"] {
    &[data-component="user-settings"] {
      > .component-actions {
        padding: 20px 0 0 0;
        text-align: right;

        .v-btn {
          border-radius: 4px;
          margin-right: 0;

          .v-icon {
            margin: 0 6px 0 0;
          }
        }
      }
    }
  }
</style>
